Get Builder Run
curl --request GET \
--url https://api.duvo.ai/v2/builder-runs/{builder_run_id}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.duvo.ai/v2/builder-runs/{builder_run_id}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.duvo.ai/v2/builder-runs/{builder_run_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"builder_run": {
"id": "<string>",
"status": "not_started",
"build_id": "<string>",
"started_at": "<string>",
"completed_at": "<string>",
"checkpoint_config": {
"version": "v1",
"data": {
"language": "python",
"source": {
"kind": "inline",
"code": "<string>"
},
"files": [],
"timeoutMs": 600000
}
},
"pending_user_questions": {
"questions": [
{
"question": "<string>",
"header": "",
"options": [],
"multiSelect": false
}
]
},
"schedule_suggested": true,
"warnings": [
{
"code": "connection_not_in_team_catalog",
"detail": "<string>"
}
]
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Automations
Get Builder Run
Get the status of a builder run
GET
/
v2
/
builder-runs
/
{builder_run_id}
/
status
Get Builder Run
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
The builder run identifier.
Response
Default Response
Generation status and the checkpoint to review. Acceptance saves the draft without activating it.
Show child attributes
Show child attributes
Was this page helpful?